Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena.parser
Class AbstractStatefulTripleProcessor

    java.lang.Object
      edu.stanford.smi.protegex.owl.jena.parser.AbstractStatefulTripleProcessor

    public abstract class AbstractStatefulTripleProcessor

extends Object

Field Summary
`protected GlobalParserCache` | `globalParserCache`
`protected edu.stanford.smi.protege.model.framestore.MergingNarrowFrameStore` | `mnfs`
`protected OWLModel` | `owlModel`
`protected TripleProcessor` | `processor`
`protected edu.stanford.smi.protege.model.framestore.SimpleFrameStore` | `simpleFrameStore`

Constructor Summary
`AbstractStatefulTripleProcessor(TripleProcessor processor)`

Method Summary
`protected void` | `checkUndefinedResources(String uri)`
`protected edu.stanford.smi.protege.model.Frame` | `createRestriction(String restrName, String predName, TripleStore ts)`
`void` | `doPostProcessing()`
`protected edu.stanford.smi.protege.model.Cls` | `getCls(edu.stanford.smi.protege.model.Frame frame)`
`protected edu.stanford.smi.protege.model.Cls` | `getCls(String name)`
`protected edu.stanford.smi.protege.model.Frame` | `getFrame(String name)`
`protected edu.stanford.smi.protege.model.Slot` | `getSlot(edu.stanford.smi.protege.model.Frame frame)`
`protected edu.stanford.smi.protege.model.Slot` | `getSlot(String name)`
`protected Collection` | `getTypes(edu.stanford.smi.protege.model.Frame frame)`
`boolean` | `isImporting(TripleStore ts)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### processor

    protected TripleProcessor processor

### owlModel

    protected OWLModel owlModel

### globalParserCache

    protected GlobalParserCache globalParserCache

### simpleFrameStore

    protected edu.stanford.smi.protege.model.framestore.SimpleFrameStore simpleFrameStore

### mnfs

    protected edu.stanford.smi.protege.model.framestore.MergingNarrowFrameStore mnfs

Constructor Detail

### AbstractStatefulTripleProcessor

    public AbstractStatefulTripleProcessor(TripleProcessor processor)

Method Detail

### createRestriction

    protected edu.stanford.smi.protege.model.Frame createRestriction(String restrName,
                                                                     String predName,
                                                                     TripleStore ts)

### checkUndefinedResources

    protected void checkUndefinedResources(String uri)

### doPostProcessing

    public void doPostProcessing()

### isImporting

    public boolean isImporting(TripleStore ts)

### getFrame

    protected edu.stanford.smi.protege.model.Frame getFrame(String name)

### getCls

    protected edu.stanford.smi.protege.model.Cls getCls(String name)

### getCls

    protected edu.stanford.smi.protege.model.Cls getCls(edu.stanford.smi.protege.model.Frame frame)

### getSlot

    protected edu.stanford.smi.protege.model.Slot getSlot(String name)

### getSlot

    protected edu.stanford.smi.protege.model.Slot getSlot(edu.stanford.smi.protege.model.Frame frame)

### getTypes

    protected Collection getTypes(edu.stanford.smi.protege.model.Frame frame)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.